com.microfocus.awm.remote

## Enum EHostCodepage

- java.lang.Object
- - java.lang.Enum<EHostCodepage>
  - - com.microfocus.awm.remote.EHostCodepage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EHostCodepage>

      public enum EHostCodepage
      extends java.lang.Enum<EHostCodepage>

  Enum which maps Java `Charset` code pages with z/OS CCSIDs.
  Author:
    RalfP

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Big5` Code page Big5
    `CP1242` Code page CP1242
    `cp1380` Code page cp1380
    `cp1388` Code page cp1388
    `cp300` Code page cp300
    `cp834` Code page cp834
    `cp835` Code page cp835
    `cp837` Code page cp837
    `cp927` Code page cp927
    `cp930` Code page cp930
    `cp933` Code page cp933
    `cp937` Code page cp937
    `cp947` Code page cp947
    `cp951` Code page cp951
    `EUCJP` Code page EUCJP
    `EUCKR` Code page EUCKR
    `EUCTW` Code page EUCTW
    `GB18030` Code page GB18030
    `GBK` Code page GBK
    `hproman8` Code page hproman8
    `IBM00858` Code page IBM00858
    `IBM00924` Code page IBM00924
    `IBM01140` Code page IBM01140
    `IBM01141` Code page IBM01141
    `IBM01142` Code page IBM01142
    `IBM01143` Code page IBM01143
    `IBM01144` Code page IBM01144
    `IBM01145` Code page IBM01145
    `IBM01146` Code page IBM01146
    `IBM01147` Code page IBM01147
    `IBM01148` Code page IBM01148
    `IBM01149` Code page IBM01149
    `IBM01153` Code page IBM01153
    `IBM01155` Code page IBM01155
    `IBM037` Code page IBM037
    `IBM1026` Code page IBM1026
    `IBM1043` Code page IBM1043
    `IBM1047` Code page IBM1047
    `IBM273` Code page IBM273
    `IBM277` Code page IBM277
    `IBM278` Code page IBM278
    `IBM280` Code page IBM280
    `IBM284` Code page IBM284
    `IBM285` Code page IBM285
    `IBM297` Code page IBM297
    `IBM420` Code page IBM420
    `IBM423` Code page IBM423
    `IBM424` Code page IBM424
    `IBM437` Code page IBM437
    `IBM500` Code page IBM500
    `IBM808` Code page IBM808
    `IBM850` Code page IBM850
    `IBM852` Code page IBM852
    `IBM855` Code page IBM855
    `IBM857` Code page IBM857
    `IBM862` Code page IBM862
    `IBM863` Code page IBM863
    `IBM864` Code page IBM864
    `IBM866` Code page IBM866
    `IBM867` Code page IBM867
    `IBM869` Code page IBM869
    `IBM870` Code page IBM870
    `IBM871` Code page IBM871
    `IBM872` Code page IBM872
    `IBM902` Code page IBM902
    `IBM904` Code page IBM904
    `IBM921` Code page IBM921
    `IBM922` Code page IBM922
    `IBMThai` Code page IBMThai
    `ISO88591` Code page ISO88591
    `ISO885913` Code page ISO885913
    `ISO885915` Code page ISO885915
    `ISO88592` Code page ISO88592
    `ISO88595` Code page ISO88595
    `ISO88596` Code page ISO88596
    `ISO88597` Code page ISO88597
    `ISO88599` Code page ISO88599
    `KOI8R` Code page KOI8R
    `KOI8U` Code page KOI8U
    `KSC_5601` Code page KSC_5601
    `MACINTOSH` Code page MACINTOSH
    `Shift_JIS` Code page Shift_JIS
    `TIS620` Code page TIS620
    `USASCII` Code page USASCII
    `UTF8` Code page UTF8
    `VISCII` Code page VISCII
    `windows1250` Code page windows1250
    `windows1251` Code page windows1251
    `windows1252` Code page windows1252
    `windows1253` Code page windows1253
    `windows1254` Code page windows1254
    `windows1255` Code page windows1255
    `windows1256` Code page windows1256
    `windows1257` Code page windows1257
    `windows1258` Code page windows1258
    `Windows31J` Code page Windows31J

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `concatBytes(byte[] pB1, byte[] pB2)`
    `static EHostCodepage` | `fromString(java.lang.String pString)` Gets an `EHostCodepage` from a name, which can be a `Charset` name, alias or an `EHostCodepage` name.
    `java.lang.String` | `get4ByteCcsid()`
    `java.lang.String` | `getCcsid()` Gets the CCSID of the host code page.
    `java.lang.String` | `getCharsetName()` Gets the character set name of the host code page.
    `static java.lang.String[]` | `getCodepagesList(boolean pSorted)`
    `static EHostCodepage` | `getDefault()`
    `static java.lang.String[]` | `getZOSParserCompatibleCodepageList(boolean pSorted)`
    `boolean` | `isDBC(java.lang.String pCharacter)`
    `boolean` | `isDBCS()`
    `java.lang.String` | `toString()`
    `static EHostCodepage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EHostCodepage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CP1242

          public static final EHostCodepage CP1242

      Code page CP1242

    - #### IBM037

          public static final EHostCodepage IBM037

      Code page IBM037

    - #### IBM273

          public static final EHostCodepage IBM273

      Code page IBM273

    - #### IBM277

          public static final EHostCodepage IBM277

      Code page IBM277

    - #### IBM278

          public static final EHostCodepage IBM278

      Code page IBM278

    - #### IBM280

          public static final EHostCodepage IBM280

      Code page IBM280

    - #### IBM284

          public static final EHostCodepage IBM284

      Code page IBM284

    - #### IBM285

          public static final EHostCodepage IBM285

      Code page IBM285

    - #### IBM297

          public static final EHostCodepage IBM297

      Code page IBM297

    - #### USASCII

          public static final EHostCodepage USASCII

      Code page USASCII

    - #### IBM420

          public static final EHostCodepage IBM420

      Code page IBM420

    - #### IBM423

          public static final EHostCodepage IBM423

      Code page IBM423

    - #### IBM424

          public static final EHostCodepage IBM424

      Code page IBM424

    - #### IBM437

          public static final EHostCodepage IBM437

      Code page IBM437

    - #### IBM500

          public static final EHostCodepage IBM500

      Code page IBM500

    - #### IBM808

          public static final EHostCodepage IBM808

      Code page IBM808

    - #### ISO88597

          public static final EHostCodepage ISO88597

      Code page ISO88597

    - #### ISO88591

          public static final EHostCodepage ISO88591

      Code page ISO88591

    - #### IBMThai

          public static final EHostCodepage IBMThai

      Code page IBMThai

    - #### IBM850

          public static final EHostCodepage IBM850

      Code page IBM850

    - #### IBM852

          public static final EHostCodepage IBM852

      Code page IBM852

    - #### IBM855

          public static final EHostCodepage IBM855

      Code page IBM855

    - #### IBM857

          public static final EHostCodepage IBM857

      Code page IBM857

    - #### IBM00858

          public static final EHostCodepage IBM00858

      Code page IBM00858

    - #### IBM862

          public static final EHostCodepage IBM862

      Code page IBM862

    - #### IBM863

          public static final EHostCodepage IBM863

      Code page IBM863

    - #### IBM864

          public static final EHostCodepage IBM864

      Code page IBM864

    - #### IBM866

          public static final EHostCodepage IBM866

      Code page IBM866

    - #### IBM867

          public static final EHostCodepage IBM867

      Code page IBM867

    - #### IBM869

          public static final EHostCodepage IBM869

      Code page IBM869

    - #### IBM870

          public static final EHostCodepage IBM870

      Code page IBM870

    - #### IBM871

          public static final EHostCodepage IBM871

      Code page IBM871

    - #### IBM872

          public static final EHostCodepage IBM872

      Code page IBM872

    - #### TIS620

          public static final EHostCodepage TIS620

      Code page TIS620

    - #### KOI8R

          public static final EHostCodepage KOI8R

      Code page KOI8R

    - #### ISO885913

          public static final EHostCodepage ISO885913

      Code page ISO885913

    - #### IBM902

          public static final EHostCodepage IBM902

      Code page IBM902

    - #### IBM904

          public static final EHostCodepage IBM904

      Code page IBM904

    - #### ISO88592

          public static final EHostCodepage ISO88592

      Code page ISO88592

    - #### ISO88595

          public static final EHostCodepage ISO88595

      Code page ISO88595

    - #### ISO88599

          public static final EHostCodepage ISO88599

      Code page ISO88599

    - #### IBM921

          public static final EHostCodepage IBM921

      Code page IBM921

    - #### IBM922

          public static final EHostCodepage IBM922

      Code page IBM922

    - #### ISO885915

          public static final EHostCodepage ISO885915

      Code page ISO885915

    - #### IBM00924

          public static final EHostCodepage IBM00924

      Code page IBM00924

    - #### Shift_JIS

          public static final EHostCodepage Shift_JIS

      Code page Shift_JIS

    - #### Windows31J

          public static final EHostCodepage Windows31J

      Code page Windows31J

    - #### EUCKR

          public static final EHostCodepage EUCKR

      Code page EUCKR

    - #### Big5

          public static final EHostCodepage Big5

      Code page Big5

    - #### EUCJP

          public static final EHostCodepage EUCJP

      Code page EUCJP

    - #### EUCTW

          public static final EHostCodepage EUCTW

      Code page EUCTW

    - #### IBM1026

          public static final EHostCodepage IBM1026

      Code page IBM1026

    - #### IBM1043

          public static final EHostCodepage IBM1043

      Code page IBM1043

    - #### IBM1047

          public static final EHostCodepage IBM1047

      Code page IBM1047

    - #### hproman8

          public static final EHostCodepage hproman8

      Code page hproman8

    - #### ISO88596

          public static final EHostCodepage ISO88596

      Code page ISO88596

    - #### VISCII

          public static final EHostCodepage VISCII

      Code page VISCII

    - #### IBM01140

          public static final EHostCodepage IBM01140

      Code page IBM01140

    - #### IBM01141

          public static final EHostCodepage IBM01141

      Code page IBM01141

    - #### IBM01142

          public static final EHostCodepage IBM01142

      Code page IBM01142

    - #### IBM01143

          public static final EHostCodepage IBM01143

      Code page IBM01143

    - #### IBM01144

          public static final EHostCodepage IBM01144

      Code page IBM01144

    - #### IBM01145

          public static final EHostCodepage IBM01145

      Code page IBM01145

    - #### IBM01146

          public static final EHostCodepage IBM01146

      Code page IBM01146

    - #### IBM01147

          public static final EHostCodepage IBM01147

      Code page IBM01147

    - #### IBM01148

          public static final EHostCodepage IBM01148

      Code page IBM01148

    - #### IBM01149

          public static final EHostCodepage IBM01149

      Code page IBM01149

    - #### IBM01153

          public static final EHostCodepage IBM01153

      Code page IBM01153

    - #### IBM01155

          public static final EHostCodepage IBM01155

      Code page IBM01155

    - #### KOI8U

          public static final EHostCodepage KOI8U

      Code page KOI8U

    - #### UTF8

          public static final EHostCodepage UTF8

      Code page UTF8

    - #### windows1250

          public static final EHostCodepage windows1250

      Code page windows1250

    - #### windows1251

          public static final EHostCodepage windows1251

      Code page windows1251

    - #### windows1252

          public static final EHostCodepage windows1252

      Code page windows1252

    - #### windows1253

          public static final EHostCodepage windows1253

      Code page windows1253

    - #### windows1254

          public static final EHostCodepage windows1254

      Code page windows1254

    - #### windows1255

          public static final EHostCodepage windows1255

      Code page windows1255

    - #### windows1256

          public static final EHostCodepage windows1256

      Code page windows1256

    - #### windows1257

          public static final EHostCodepage windows1257

      Code page windows1257

    - #### windows1258

          public static final EHostCodepage windows1258

      Code page windows1258

    - #### MACINTOSH

          public static final EHostCodepage MACINTOSH

      Code page MACINTOSH

    - #### KSC_5601

          public static final EHostCodepage KSC_5601

      Code page KSC_5601

    - #### GBK

          public static final EHostCodepage GBK

      Code page GBK

    - #### GB18030

          public static final EHostCodepage GB18030

      Code page GB18030

    - #### cp300

          public static final EHostCodepage cp300

      Code page cp300

    - #### cp834

          public static final EHostCodepage cp834

      Code page cp834

    - #### cp930

          public static final EHostCodepage cp930

      Code page cp930

    - #### cp933

          public static final EHostCodepage cp933

      Code page cp933

    - #### cp937

          public static final EHostCodepage cp937

      Code page cp937

    - #### cp1388

          public static final EHostCodepage cp1388

      Code page cp1388

    - #### cp835

          public static final EHostCodepage cp835

      Code page cp835

    - #### cp837

          public static final EHostCodepage cp837

      Code page cp837

    - #### cp927

          public static final EHostCodepage cp927

      Code page cp927

    - #### cp1380

          public static final EHostCodepage cp1380

      Code page cp1380

    - #### cp947

          public static final EHostCodepage cp947

      Code page cp947

    - #### cp951

          public static final EHostCodepage cp951

      Code page cp951

  - ### Method Detail

    - #### values

          public static EHostCodepage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EHostCodepage c : EHostCodepage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EHostCodepage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCharsetName

          public java.lang.String getCharsetName()

      Gets the character set name of the host code page.
      Returns:
        the character set name

    - #### getCcsid

          public java.lang.String getCcsid()

      Gets the CCSID of the host code page.
      Returns:
        the CCSID

    - #### getDefault

          public static EHostCodepage getDefault()

    - #### get4ByteCcsid

          public java.lang.String get4ByteCcsid()

      Returns:
        the CCSID with leading zeroes

    - #### getCodepagesList

          public static java.lang.String[] getCodepagesList(boolean pSorted)

    - #### getZOSParserCompatibleCodepageList

          public static java.lang.String[] getZOSParserCompatibleCodepageList(boolean pSorted)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<EHostCodepage>`

    - #### fromString

          public static EHostCodepage fromString(java.lang.String pString)

      Gets an `EHostCodepage` from a name, which can be a `Charset` name, alias or an `EHostCodepage` name.
      Parameters:
        `pString` - the name of the desired code page
      Returns:
        the host code page or `null` if no code page with the given name was found

    - #### isDBCS

          public boolean isDBCS()
                         throws java.io.UnsupportedEncodingException

      Throws:
        `java.io.UnsupportedEncodingException`

    - #### isDBC

          public boolean isDBC(java.lang.String pCharacter)
                        throws java.io.UnsupportedEncodingException

      Throws:
        `java.io.UnsupportedEncodingException`

    - #### concatBytes

          public static byte[] concatBytes(byte[] pB1,
                                           byte[] pB2)

Copyright © 2015 Micro Focus GmbH. All rights reserved.